libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

xr_client_basic_auth
xr_client_call
xr_client_close
xr_client_conn
xr_client_free
xr_client_get_http
xr_client_get_ssl_context
xr_client_new
xr_client_open
xr_client_reset_http_headers
xr_client_set_http_header
xr_client_set_transport

gboolean xr_client_call | ( | xr_client_conn * | conn,
|  | xr_call * | call,
|  | GError ** | err
| ) |  |

Perform XML-RPC call over connection.

Parameters

  conn | Connection object.
  call | Call object.
  err | Error object.

Returns
  Function returns FALSE on failure (including XML-RPC exception) and TRUE on success. XML-RPC exception have err->domain == 0.

Documentation for libxr, Fri Apr 15 2016 08:12:18.